Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module
Class ModuleATA

    java.lang.Object
      dioscuri.module.AbstractModule
          dioscuri.module.ModuleATA

All Implemented Interfaces:
  Addressable, Module, Updateable

Direct Known Subclasses:
  ATA

    public abstract class ModuleATA

extends AbstractModule
implements Addressable, Updateable

Abstract class representing a ATA module.

Nested Class Summary

Nested classes/interfaces inherited from interface dioscuri.interfaces.Module
`Module.Type`

Field Summary

Fields inherited from class dioscuri.module.AbstractModule
`type`

Constructor Summary
`ModuleATA()`

Method Summary
`abstract int` | `getCurrentChannelIndex()` Gets the current channel index.
`abstract void` | `initConfig(int theIdeChannel, boolean isMaster, boolean isHardDisk, boolean isWriteProtected, int numCylinders, int numHeads, int numSectorsPerTrack, ATATranslationType translationType, java.lang.String imageFilePath)` Initiate configuration of the disk drive.
`abstract void` | `setCmosSettings(int[] bootDrives, boolean floppySigCheckDisabled)` Set CMOS values

Methods inherited from class dioscuri.module.AbstractModule
`getConnection, getConnections, getDebugMode, getDump, getExpectedConnections, getType, isConnected, reset, setConnection, setDebugMode, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface dioscuri.interfaces.Addressable
`getIOPortByte, getIOPortDoubleWord, getIOPortWord, setIOPortByte, setIOPortDoubleWord, setIOPortWord`

Methods inherited from interface dioscuri.interfaces.Updateable
`getUpdateInterval, setUpdateInterval, update`

Methods inherited from interface dioscuri.interfaces.Module
`getConnection, getConnections, getDebugMode, getDump, getExpectedConnections, getType, isConnected, reset, setConnection, setDebugMode, start, stop`

Constructor Detail

### ModuleATA

    public ModuleATA()

Method Detail

### initConfig

    public abstract void initConfig(int theIdeChannel,
                                    boolean isMaster,
                                    boolean isHardDisk,
                                    boolean isWriteProtected,
                                    int numCylinders,
                                    int numHeads,
                                    int numSectorsPerTrack,
                                    ATATranslationType translationType,
                                    java.lang.String imageFilePath)

  Initiate configuration of the disk drive.

  Parameters:
    `theIdeChannel` -
    `isMaster` -
    `isHardDisk` -
    `isWriteProtected` -
    `numCylinders` -
    `numHeads` -
    `numSectorsPerTrack` -
    `translationType` -
    `imageFilePath` -

### setCmosSettings

    public abstract void setCmosSettings(int[] bootDrives,
                                         boolean floppySigCheckDisabled)

  Set CMOS values

  Parameters:
    `bootDrives` -
    `floppySigCheckDisabled` -

### getCurrentChannelIndex

    public abstract int getCurrentChannelIndex()

  Gets the current channel index.

  Returns:
    int the current channel index

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD